Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.hl7.builder
Class HL7OTDBuilderSpec

    java.lang.Object
      com.stc.hl7.builder.HL7OTDBuilderSpec

All Implemented Interfaces:
  com.stc.otd.builder.OtdBuilderSpec

    public class HL7OTDBuilderSpec

extends java.lang.Object
implements com.stc.otd.builder.OtdBuilderSpec

The HL7OTDBuilderSpec brings together specific properties needed by the HL7OTDBuilder to properly build HL7 OTDs.

Version:
  $Revision: 1.4 $
Author:
  Alexander Fung

Constructor Summary
`HL7OTDBuilderSpec()` Constructs an empty HL7OTDBuilderSpec

Method Summary
`HL7Messages` | `getParserModel()` Retrieves the Parser model.
`java.lang.Object` | `getProperty(java.lang.String name)` Returns an object identifying the value of a property
`java.util.Iterator` | `getPropertyNames()` Returns an iterator to iterate through all the properties of a specific OtdBuilderSpec
`void` | `setParserModel(HL7Messages parserModel)` Sets the Parser model.
`void` | `setProperty(java.lang.String name, java.lang.Object value)` Sets Object identifying the value of a property

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HL7OTDBuilderSpec

    public HL7OTDBuilderSpec()

  Constructs an empty HL7OTDBuilderSpec

Method Detail

### getPropertyNames

    public java.util.Iterator getPropertyNames()

  Returns an iterator to iterate through all the properties of a specific OtdBuilderSpec

  Specified by:
    `getPropertyNames` in interface `com.stc.otd.builder.OtdBuilderSpec`
  Returns:
    list of property names

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

  Returns an object identifying the value of a property

  Specified by:
    `getProperty` in interface `com.stc.otd.builder.OtdBuilderSpec`
  Parameters:
    `name` - the name of a property
  Returns:
    an object identifying the value of a property

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)

  Sets Object identifying the value of a property

  Specified by:
    `setProperty` in interface `com.stc.otd.builder.OtdBuilderSpec`
  Parameters:
    `name` - the name of a property
    `value` - the value of a property

### getParserModel

    public HL7Messages getParserModel()

  Retrieves the Parser model. It is the responsibility of the caller to ensure the validity of the model.

  Returns:
    the parser model

### setParserModel

    public void setParserModel(HL7Messages parserModel)

  Sets the Parser model. It is the responsibility of the caller to ensure the state of the model is valid.

  Parameters:
    `parserModel` - the parser model

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD